

/* Cover
 *------------------------------------------------------------*/

.hygge-cover {
	.clearfix;
	position: relative;
	text-align: center;
	margin-bottom: 4.5em;

	@media @mobile {
		margin-left: -20px;
		margin-right: -20px;
		margin-bottom: 2.8em;
	}

	@media @tablet-v {
		margin-left: -30px;
		margin-right: -30px;
		margin-bottom: 2.8em;
	}

	&--empty {
		.hygge-cover__text {
			background: @grey-pale;
		}

		.post__category {
			.translateY( -50% );
		}
	}

	.hygge-cover__blurred {
		position: absolute;
		top: -15px;
		left: -15px;
		right: -15px;
		bottom: -15px;
		background-size: cover;
		background-position: 50% 50%;
		-webkit-filter: blur(15px);
		filter: blur(15px);
	}

	&__media {
		position: relative;
		z-index: 1;
		background-size: cover;
		background-position: 50% 50%;

		.hygge-cover:not(.hygge-cover--gallery) & img { display: none; }
	}

	&--gallery {

		.gallery {
			margin-bottom: -5px;

			&--slider { margin-bottom: 0px; }
			&--filmstrip { margin-bottom: 4px; }
			.mCSB_scrollTools { margin-top: -5px; }
		}
	}

	&--video {
		.hygge-embed-container {
			margin-bottom: 0;
		}
	}

	&__color {
		.placement;
		z-index: 1;
		opacity: 0.7;

		&.color-opacity-low {
			opacity: 0.2;
		}
	}

	&--type-overlay:not(.hygge-cover--gallery):not(.hygge-cover--video),
	&--type-archive {
		.hygge-cover__media {
			filter: gray; /* IE 6-9 */
			-webkit-filter: grayscale(70%);
			filter: grayscale(70%);
		}

		.hygge-cover__blurred {
			filter: gray; /* IE 6-9 */
			-webkit-filter: blur(15px) grayscale(70%);
			filter: blur(15px) grayscale(70%);
		}
	}

	&--type-basic {
		min-height: 400px;
	}


	&--type-archive {
		.hygge-cover__text {
			max-width: 800px;
			margin-left: auto;
			margin-right: auto;

			.description-heading {
				margin-left: auto;
				margin-right: auto;
				padding: 0 30px;

				@media @desktop {
					padding: 0 60px;
				}
			}
		}
	}

	&--overlay {
		overflow: hidden;

		.hygge-cover__media {
			.placement;
		}

		.hygge-cover__text {
			z-index: 2;
			display: inline-block;
			// width: 80%;
			max-width: 580px;
			margin: 50px auto;
			padding-top: 0;
			padding-bottom: 0;

			@media @tablet, @desktop-s { margin: 100px auto; }
			@media @desktop-m { margin: 120px auto; }

			.hygge-cover--type-notebook& {
				background: @white;
				padding: 30px 60px;

				@media @mobile {
					padding-left: 30px;
					padding-right: 30px;
					margin-left: 20px;
					margin-right: 20px;
				}
			}

			.hygge-cover--type-overlay& {
				padding-left: 20px;
				padding-right: 20px;
			}
		}

		.post__category {
			.translateY( -50% );
			margin-top: -30px;
		}
	}

	&__text {
		.clearfix;
		position: relative;
		z-index: 2;
		padding: 30px 0 20px;
		color: @black;

		&.dark-mode {
			color: @white;
		}
	}

	.post__title {
		margin: 20px auto 15px;
		line-height: 1;
	}

	.description-heading {
		margin-bottom: 15px;
	}

	.hygge-separator--small {
		margin-bottom: 0;
		margin-top: 2em;
	}
}
